%global commit c1614c6aa347d6a780911597c49bb19f408914b2
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global libsuffix yui
%global libname lib%{libsuffix}
%global devel_min_ver 3.0.4
%global major_so_ver 5

%global _hardened_build 1


Name:		%{libname}-ncurses
Version:	2.43.9
Release:	3%{?dist}
License:	LGPLv2 or LGPLv3
Source:		https://github.com/%{libname}/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Group:		System Environment/Libraries

BuildRequires:	doxygen
BuildRequires:	fdupes
BuildRequires:	graphviz
BuildRequires:	%{libname}-devel >= %{devel_min_ver}
BuildRequires:	ncurses-devel

URL:		https://github.com/%{libname}/%{name}/
Summary:	Character Based User Interface for %{libname}

Provides:	%{libsuffix}-ui%{?_isa} = %{major_so_ver}


%description
This package contains the character based (ncurses) user interface
component for %{libname}.


%package devel

Group:		Development/Libraries

Requires:	%{libname}-devel%{?_isa} >= %{devel_min_ver}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	ncurses-devel%{?_isa}

Summary:	Files needed for developing with %{name}


%description devel
%{libname} can be used independently of YaST for generic (C++) applications
and has very few dependencies.

You do NOT need this package for developing with %{libname}. Use of
%{libname}-devel is sufficient for such purpose.
This package is only needed when you want to develop an extension for
%{name} which is not covered within the UI-plugin.


%package doc

Group:		Documentation

BuildArch:	noarch

Summary:	Documentation files for %{name}


%description doc
This package includes the developer's documentation as HTML for %{name}.


%prep
%setup -q -n %{name}-%{commit}
./bootstrap.sh


%build
mkdir -p build
cd build

%cmake .. \
	-DPREFIX=%{_prefix} \
	-DLIB_DIR=%{_libdir} \
	-DDOC_DIR=%{_defaultdocdir} \
	-DDOC_SUBDIR=%{name}-%{version} \
	-DINSTALL_DOCS=ON \
	-DSKIP_LATEX=ON \
	-DCMAKE_BUILD_TYPE=RELEASE \
	-DRESPECT_FLAGS=ON

make %{?_smp_mflags}
make %{?_smp_mflags} docs


%install
cd build

%make_install

install -pm0644 ../COPYING* %{buildroot}/%{_defaultdocdir}/%{name}-%{version}
install -pm0644 ../ChangeLog %{buildroot}/%{_defaultdocdir}/%{name}-%{version}

%fdupes %{buildroot}/%{_defaultdocdir}/%{name}-%{version}


%files
%{_libdir}/%{libsuffix}/lib*.so.%{major_so_ver}*
%dir %{_defaultdocdir}/%{name}-%{version}
%doc %{_defaultdocdir}/%{name}-%{version}/C*


%files devel
%{_libdir}/%{libsuffix}/lib*.so
%{_includedir}/%{libsuffix}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}
%{_datadir}/%{libname}/*


%files doc
%dir %{_defaultdocdir}/%{name}-%{version}
%doc %{_defaultdocdir}/%{name}-%{version}/*/


%changelog
* Thu May 16 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-3
- changed Provides: `yui_ui =` from `version` to `major_so_ver`
- install lib*.so.`major_so_ver`* in main-pkg not lib*.so.*
- add `-DRESPECT_FLAGS=ON`, will be honored by libyui <= 3.0.5
- removed macros from changelog

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-2
- -devel pkg should have Requires: ncurses-devel instead of
  Requires: ncurses

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-1
- new upstream version
- adjusted libyui-devel min-version
- added needed bootstrap to prep

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.8-2
- fixup as suggested in https://bugzilla.redhat.com/show_bug.cgi?id=960199#c3
- exchanged {parname} with {libname}

* Mon May 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.8-1
- Initial RPM release.
